GNU bug report logs - #55588
pgtk: child-frame-border-width cannot be set to nil

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Florian Rommel <mail@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 55588 <at> debbugs.gnu.org and Florian Rommel <mail@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55588 <at> debbugs.gnu.org:


Received: (at 55588) by debbugs.gnu.org; 21 Jun 2022 11:45:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 21 07:45:49 2022
Received: from localhost ([127.0.0.1]:59309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o3cKL-0000mB-7Q
	for submit <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:45:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o3cKJ-0000dr-Su
 for 55588 <at> debbugs.gnu.org; Tue, 21 Jun 2022 07:45:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9pmba8vPiaPsYYp0TkWPhYBYcb3DSLKCuI4Px9W/X6g=; b=qCK7cex+xvBAapWqK0p3nwa/6l
 gwfd6BfLRDS9bmcayfYr6GgW932ABgZkf9ZCPK1h0lTvy4700sfKP17W8vT0elmcONVvFoyL1r6Hz
 opAUdnWuwHdf2Qry97uly/vx8yloZrxKjZbPc5JA6EmXhLC50S8mZZVBJNVX0ROCSf0Q=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o3cKA-0004jW-HL; Tue, 21 Jun 2022 13:45:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#55588: pgtk: child-frame-border-width cannot be set to nil
References: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
 <87r14kq3ts.fsf@HIDDEN> <87leusq0fz.fsf@HIDDEN>
 <61716e5f3300f26bc64028effc857735b53e31fa.camel@HIDDEN>
 <875ylwo35y.fsf@HIDDEN>
X-Now-Playing: Depeche Mode's _Construction Time Again_: "The Landscape Is
 Changing"
Date: Tue, 21 Jun 2022 13:45:37 +0200
In-Reply-To: <875ylwo35y.fsf@HIDDEN> (Po Lu's message of "Mon, 23 May 2022
 20:15:53 +0800")
Message-ID: <871qviz1cu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Po Lu <luangruo@HIDDEN> writes: >> Thanks! Almost works.
 >> I believe that the default value of child-frame-border-width should be
 >> nil (that's the case for xfns and others), with this everything works
 >> as expected for me. > > S [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55588
Cc: Florian Rommel <mail@HIDDEN>, 55588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

>> Thanks! Almost works.
>> I believe that the default value of child-frame-border-width should be
>> nil (that's the case for xfns and others), with this everything works
>> as expected for me.
>
> Should be fixed now as well, thanks.

This was a month ago, so I assume Po's fix worked, and I'm therefore
closing this bug report.  If this is still an issue, please respond to
the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.

Message received at 55588 <at> debbugs.gnu.org:


Received: (at 55588) by debbugs.gnu.org; 23 May 2022 15:17:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 11:17:55 2022
Received: from localhost ([127.0.0.1]:49999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nt9od-0004cm-9d
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 11:17:55 -0400
Received: from read.uberspace.de ([185.26.156.133]:47964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nt4WR-0004dc-Kl
 for 55588 <at> debbugs.gnu.org; Mon, 23 May 2022 05:38:44 -0400
Received: (qmail 9169 invoked by uid 990); 23 May 2022 09:38:41 -0000
Authentication-Results: read.uberspace.de;
	auth=pass (plain)
Message-ID: <61716e5f3300f26bc64028effc857735b53e31fa.camel@HIDDEN>
Subject: Re: bug#55588: pgtk: child-frame-border-width cannot be set to nil
From: Florian Rommel <mail@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Date: Mon, 23 May 2022 11:38:41 +0200
In-Reply-To: <87leusq0fz.fsf@HIDDEN>
References: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
 <87r14kq3ts.fsf@HIDDEN> <87leusq0fz.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="=-FGITPyWTVImhq273b1eK"
User-Agent: Evolution 3.44.1 
MIME-Version: 1.0
X-Rspamd-Bar: -
X-Rspamd-Report: BAYES_HAM(-2.999999) MIME_GOOD(-0.1)
 MIME_BASE64_TEXT_BOGUS(1) MIME_BASE64_TEXT(0.1)
X-Rspamd-Score: -1.999999
Received: from unknown (HELO unkown) (::1)
 by read.uberspace.de (Haraka/2.8.28) with ESMTPSA;
 Mon, 23 May 2022 11:38:41 +0200
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55588
X-Mailman-Approved-At: Mon, 23 May 2022 11:17:50 -0400
Cc: 55588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-FGITPyWTVImhq273b1eK
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Mon, 2022-05-23 at 13:31 +0800, Po Lu wrote:
> It was fixed in December.=C2=A0 I installed a similar change along with
> some
> other fixes to child frames on PGTK, please test.

Thanks! Almost works.
I believe that the default value of child-frame-border-width should be
nil (that's the case for xfns and others), with this everything works
as expected for me.


--=-FGITPyWTVImhq273b1eK
Content-Disposition: attachment; filename="0001-pgtk-Set-child-frame-border-width-to-nil.patch"
Content-Type: text/x-patch; name="0001-pgtk-Set-child-frame-border-width-to-nil.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSAzMjlkZGI3YzRlMjc4MzZjZGYyNmI5ZDUzMGVhZTQzOTljMzkxZGFjIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBGbG9yaWFuIFJvbW1lbCA8bWFpbEBmbG9yb21tZWwuZGU+CkRh
dGU6IE1vbiwgMjMgTWF5IDIwMjIgMTE6MTc6NDggKzAyMDAKU3ViamVjdDogW1BBVENIXSBwZ3Rr
OiBTZXQgY2hpbGQtZnJhbWUtYm9yZGVyLXdpZHRoIHRvIG5pbAoKKiBzcmMvcGd0a2Zucy5jICh4
LWNyZWF0ZS1mcmFtZSkKCkNvcHlyaWdodC1wYXBlcndvcmstZXhlbXB0OiB5ZXMKLS0tCiBzcmMv
cGd0a2Zucy5jIHwgMyArLS0KIDEgZmlsZSBjaGFuZ2VkLCAxIGluc2VydGlvbigrKSwgMiBkZWxl
dGlvbnMoLSkKCmRpZmYgLS1naXQgYS9zcmMvcGd0a2Zucy5jIGIvc3JjL3BndGtmbnMuYwppbmRl
eCBiMjY3MDlkOTBjLi4zNWUzYzEwNTg5IDEwMDY0NAotLS0gYS9zcmMvcGd0a2Zucy5jCisrKyBi
L3NyYy9wZ3RrZm5zLmMKQEAgLTE0MzcsOCArMTQzNyw3IEBAIFRoaXMgZnVuY3Rpb24gaXMgYW4g
aW50ZXJuYWwgcHJpbWl0aXZlLS11c2UgYG1ha2UtZnJhbWUnIGluc3RlYWQuICAqLyApCiAKICAg
ICB9CiAKLSAgZ3VpX2RlZmF1bHRfcGFyYW1ldGVyIChmLCBwYXJtcywgUWNoaWxkX2ZyYW1lX2Jv
cmRlcl93aWR0aCwKLQkJCSBtYWtlX2ZpeG51bSAoMCksCisgIGd1aV9kZWZhdWx0X3BhcmFtZXRl
ciAoZiwgcGFybXMsIFFjaGlsZF9mcmFtZV9ib3JkZXJfd2lkdGgsIFFuaWwsCiAJCQkgImNoaWxk
RnJhbWVCb3JkZXJXaWR0aCIsICJjaGlsZEZyYW1lQm9yZGVyV2lkdGgiLAogCQkJIFJFU19UWVBF
X05VTUJFUik7CiAgIGd1aV9kZWZhdWx0X3BhcmFtZXRlciAoZiwgcGFybXMsIFFyaWdodF9kaXZp
ZGVyX3dpZHRoLCBtYWtlX2ZpeG51bSAoMCksCi0tIAoyLjM2LjEKCg==


--=-FGITPyWTVImhq273b1eK--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.

Message received at 55588 <at> debbugs.gnu.org:


Received: (at 55588) by debbugs.gnu.org; 23 May 2022 12:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 08:16:14 2022
Received: from localhost ([127.0.0.1]:47552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nt6ys-0005Mh-Lb
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 08:16:14 -0400
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:39295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nt6yp-0005MR-EJ
 for 55588 <at> debbugs.gnu.org; Mon, 23 May 2022 08:16:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653308165; bh=JZ4eIr3tlEdf5nCqxYSks4rpHwW0wEDH+g11hBFglzE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Avo+LlhObVmxPgJN7N5JO50i47EgeT1iQ7rP2a95BhvvU1FG7Kq0aHg23hwxMSgqSX/+Cc9L1mpAAbuacx5lMoSw0A/z/cxBi1lTXsHFMZ2LCPSpCa+tJsM1uBzYo/Gc5Gh+9432qvRRp90mXlb64c3rjCFUXrpg6cM8itKpdKSuRDLauYdIf/zlPdQQfjZliuOkYP+RWOmcqtizAxNoBPPYB/w3msS33Bqt4dSZ2JrdineDe7G9P0oKwccpe+16iQsS3Ac36IzScfuSOoQNQRcZlT0V8/JdeE5mzQlzXz7iB1JcCVlxBpCBVlOLF1EZ4gAM8covhrn0Ui/qpeCz6g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653308165; bh=7/rWTqyl+5omqVO0V7TMjykVpmIW/N18OGxR8k0mTU2=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=B3NyV9ZhaxG8wLMj5/nJ32hVa/kVOw1vjlPMdrmH7dvAfZP4Mgw78KlB7/3RGaBRILxGw0PnTWawKPSeL/JQpQ9aIXlMr/+PBJlux/lRhHzvjN4TRdziQ6udTv+TAbP+fYxn5jPYi+E1LH4+dKKuGJTj0RBADVqFKLw8f9E6BCnR9OPd5epSYGJ1BTSBBmPXb042lQIFg0x90tMXdQcylAj0XVbUHcvxlAWJQStn373nG83JgC8SZJWRjbdFeXEv4DhfXGFoHesZQ6HznqDeANRLIycepGMBtuyN1gB3zFvGIMIiBEqeaAPVlq4Eoev+DX+Yi411eTgHGqAPUCWKwA==
X-YMail-OSG: cp31qYsVM1lLPT8guJBJi5J7LmnILNuHvgRC2ywKNNqGF2tPuPvAT3.ys1EJSWV
 _BKDerm5kNpAI8915rasVW2ImLL8hvYUGKl9gHJrfgKrqmDCmN_dJ_YljS7g.bx_6p8TScuaiy0v
 higJcAgAQQu6T31NgZNvyibG7mBaH.6DTXWHVMgg30IZAAEZrkwypzY3n9Hy6a.rXCQOoKzRMgXb
 euQzw7kU06R_1r7WRCPxreLEGdh0ZvUN_jfCvEUL7xTh4JnDcvBJfM3dx3HiIji4xVdc_LE58ZAV
 DKzmDg9jqs30_bOcmQr.T4eXdKChZK1Z1vuBJjk3c3qghrpkNiC8ohW7.vjPcbZWlNNhONSOzrRW
 x3_eMRySIAdOx3Wbpv9Lh5Gv.gcQaeCka78FOArk6SY7o_ARYZgy9LjSzsbRUE0EKSqhZjmFMfvd
 tb01EsYD8NJelc.26_c7EFqMd43YGHXnaRwgUYw5TDuEfxaOrxTGm4cHlYTNtxlNiTgpFkEqdkQZ
 60aoa6ySOA7IbOrbG5mRuqmErj9oQIa.j4porBXdE1.CPnXz8K9PHCA_0dWqu2Kj5Qvu3yZSvojE
 Rub2BKshgdUIrPieTfhySPBUmJoQKVh72_Hp6qQVhPsjXEcPu6v4d1.UM9ywl7oPxksCbYmjotsL
 O8_oJ3i4DOpT8J06YFVsdoDR3rfja1ONKxf137n1strcmopF7oFu9AyCYUALu2f8lWsdp7TUMM1c
 _Z.8m4M0GoNLsB8qJjuZAiqj7w91dHRabWWCio9Y.U5U04_btIeTQh_wsJU.sgwYHHrN2pbfjAXB
 5qYlpaBMgLeQbSk.uDmYRfMZxWtn115Ac4WRwxgqbBFaYNicK92lggoe.aM77vb_OeZO4ijxhAvP
 iP1U3uUmIXFqTADikw4QDXDUvGjjKJHJJjcjTReVa1xxtEDJWDer1R8Mpm2jpxOSICaq.y49GZwV
 FCIjCMEtKsy87nd27D7y6ECSWn9QxttmA2SMsAYgH4biqqeeHsaWyLsIh4CfcpSGoLw22F8pXTNT
 iXszrxXuEsvkhPjB15H2PhcaHc9pEO4yslcf.X68OvL3qG0ZnEcu6W5QwHSPFAEbkIwxCdpgbPtZ
 4ndfIvD.zwETlguu1psh8nCQcqX.WT_Mqz5fONYfY3L6Q059oNCppHEDonSnjSLn_H8iy0xaQnuR
 rrhbVQ10cXL3l_N3ZNRXKcTuya9GvqBzBjZ9Y34RkAy0yjs8FYuJky4SpqFV_uHMT_Vrlv7zCSel
 dzcPFCBgPmxweV8DO45Ed13UrIeYPYDmJbDM2u2zDC8_PWpqDHwvs0kw2zqn8SHx4T_hvjttk8Vi
 Q3WyMvYNIkhjvnCta5nEN4RJqTlnGNHzyFGsdpmTXu16jRZB1fgeSJy2qxIOn1WaRIqesxCRxL4R
 cPbb5aU8Ub30DEWvNaHE8IODMEcpy2pJZLsqExsXSQLGL8lAeLz_fwNhF8wYwYOmjCTx1eqABKOK
 jbO1X_J8hfR_U3OGGevrl5PjCchUzmIOHZe2u3yvVoIFRXBZjMye46hVQQ2WWg1Ysw7e0R5csVqr
 v5wDvABxdWXJ6Eilajh4w7jLI__XTNSsd5xYfBOG9hMAfuME5IgvS1g00pNdz_1YjYBurM6SvxB5
 vbDcGGMD6zP7CIYOtBxif7SbBy99py92iTYh0CvuH5XiXFZdyZI4_lMQ0f0_I5gY5FZHCuFZOXWm
 O.lYHJTYwLrqbmxQIsGKT6Z5rsB8ZUrHoTpghlD5OcwGEc4E.PK2gcrwr6z2bLaKjZLuaSSMTWFC
 CTvehh7wnMnRargU0GmGFjZKbryOMPecT0w_I_AqpXU4CrA0X8gKHXx70XHhMqNLUAshFaClxAdq
 d0zMTzj1LvzqCf_0hNmYXEoMB2DKWa0k4IssdPrLu92cfY0kCOnzJ3AsIAxLvpWT3OiwNEGqIkeX
 .yR4KLi8ftik5Mywye357Zig7sPub9Nssn1DzF5ruQNhsudSZ2AlNKSzY9zJXfZE4uO4ThjiCHCB
 kMudHn2RoFwz2A24klUq5RI5cM1x7a69Pdwgdeq6843QywPF9pUXZqcTE579clcZFHgteqqxTczM
 Vhll9HoBKMxWVH5jGrqM4Gcb1cC9nqhhK0EvbAu_ZwPdWhx98AVypQITur6ih.rQo8AmWBTz1PMc
 7EUS68_ZZdiAdoubD3SPV6vK674eKPfumit6FrC5ZQJl8upmtrG9kp_z_ou6iE2fhLpCOu2mqHNx
 oCN0N9pND7EhTjxsTnUL5z6qamXJ7t5dpYqXBrugLwMqpFmHjAJiRNqZluvYXWEk-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Mon, 23 May 2022 12:16:05 +0000
Received: by hermes--canary-production-sg3-7959d4d9bd-v94mk (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 8a4d7100a9579415b7ef45544fb877db; 
 Mon, 23 May 2022 12:15:58 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Florian Rommel <mail@HIDDEN>
Subject: Re: bug#55588: pgtk: child-frame-border-width cannot be set to nil
References: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
 <87r14kq3ts.fsf@HIDDEN> <87leusq0fz.fsf@HIDDEN>
 <61716e5f3300f26bc64028effc857735b53e31fa.camel@HIDDEN>
Date: Mon, 23 May 2022 20:15:53 +0800
In-Reply-To: <61716e5f3300f26bc64028effc857735b53e31fa.camel@HIDDEN>
 (Florian Rommel's message of "Mon, 23 May 2022 11:38:41 +0200")
Message-ID: <875ylwo35y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 462
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55588
Cc: 55588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Florian Rommel <mail@HIDDEN> writes:

> On Mon, 2022-05-23 at 13:31 +0800, Po Lu wrote:
>> It was fixed in December.=C2=A0 I installed a similar change along with
>> some
>> other fixes to child frames on PGTK, please test.
>
> Thanks! Almost works.
> I believe that the default value of child-frame-border-width should be
> nil (that's the case for xfns and others), with this everything works
> as expected for me.

Should be fixed now as well, thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55588 <at> debbugs.gnu.org:


Received: (at 55588) by debbugs.gnu.org; 23 May 2022 05:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 01:32:02 2022
Received: from localhost ([127.0.0.1]:47028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nt0fi-000518-Pb
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 01:32:02 -0400
Received: from sonic310-25.consmr.mail.ne1.yahoo.com ([66.163.186.206]:46816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nt0fg-00050a-Df
 for 55588 <at> debbugs.gnu.org; Mon, 23 May 2022 01:32:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653283914; bh=LlatyygsIIsewk2l2NOdHFbG3c/WaRaP7ay+QlgCaQE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=sJ4S/WncAlmL8MtcnBSmbJoL/30cLkNj3/zh/gXiJYXdK9CMeOaynlCrRTMuYsMgj8Z6AmJXqwlA3IHNl1Z3nctL9qmhmdROoXSbAbmk3IJVnWTRD2CNioSYRegP/3/jYh/RGRB8Ai4x7+PDTK4hBMZMPvTedK7a3fR9zBO55udKKGo5C7fQc3Uzfg2IZ+zunuAoDp5snH9LLIrXd5vHcboim8eOJeo8ujHZy3ERGbtf62zErksMxXORPPqyUg+c9oR/sGs+GXWHf8x0PMnXNj96qQWZKqH4e+D51ZisboywJ4kDW7Yh3B36ymLU7P5DptzYy9AWVQHlTHC98Yni9w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653283914; bh=vfKaW+C3SoA5wfF0PequTSZNNZgxXhXxL9xOdCYWjBs=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Zv8MwNtpCeGlXRhtCft4bnOvtjaDd4IoWlUjAyYuLN5W4FqE83Eyxm813EdmeIRjFzydpUXA/xRuXMKAJTSrsUD1FlHbtI5E/Uq/g3kWhWyi1WeL1DfcIkSE9CIqb8YPtKWvH1l7/cosWU9qJlcsJpSMnyzmrmqPLCNZt7gdEIpaJRHUsuVLRpsl7z/HnJiefBOAJ7nOCGHtRwetbHjahxKXIH0FYcEfw2WUNKLrf0oHYvMH3kh0U733MQWhbvfA90UXKTO182eoTdDrWWbR7d36gzkj8yWHdqq73r+mog8r+TzAp/5Bj2CobwiH2P2XLLjnRlO34TYNZYW3ZH7UeA==
X-YMail-OSG: jcDpmsgVM1kA8scCb4fDBM7XR0.qoY_3KpyDqj1ObeCJBH82eqdT0iHryR9UHRW
 7A03Vz17mmzdaVs5Sgs2NsKL.7defIfLdAmkTzdIyDa5jubPJzi6TTwZDYz9n5pj877BTgYmfUBh
 gFZgXzdxuimGeR.iRkVpWg2c14ZhkY0yr7ILWgca9_bHaZSD8_9o8jx_uNYlbmQuec9XBSqmPpTd
 sqNO4I.9uZmw7KSPAdPpelMehMweWv4N53ptTKopIlg4kxURfmEQYHVxI_c2c4NPpvJaQulDr5yZ
 lRcURWpcukcDEsKUQ90ACF7u5hdGzj1I3h8rowWB4fwqqpgOhvWigoAA9AkzsuK2s2Ssf9RK_je2
 6pr7rFNLbh4.ifFwfEWg3c7iFSdstlo.gw.pzjeOjfAz0Mg3XFZNNlHhojHgvrnSCYt1lmXv1QGg
 aFV1QoV4DkdN5OEXqEWpfbrd9V66GVT0WfwhkVH297FW.BCbMlFrKrMxsK.Dpmx2.ph7sXLHqdYC
 f2cfswOyzN47rshNJaOmkVpqeQ6_4dUpm__oTNLZ905mN26iqM0gzbXEVgzOQsWrsScQgDEAPslS
 VOzYRFV7XEo6zzXobQkUNiX_guO0KA.dEqpq6alDyA..1c8yml124W1O5hxAeh0KLh9V6CT7kJ7v
 U1xXT1wWGVzP1DbCAUgRBtgtLgQzZGndj6Jp3G6TP9MsCFqfdLej4d5O1PDXYg0hmt2MYynrG6UK
 5n6Gcgydu2uJ8kRoM5FTnJPhAQ7Z8Pp6JLAA8aJvcjaQrceXNvPR64C9vY19YWLgRE3jf0uw5geS
 q7vmNkpvnZ1_rerBlIAezTFDohwKY2B1PPfGuieofhAxZa_rDArTpS2eIsZsoSw24_DPEifArT84
 1dB8q4rlE8dUWNaFhmhZdTj50.1U3iJ3VwFAEcF_.muPI5GM_R2Qlq6RjP6nedxg.6luo6WxST26
 821zj8Gix3JU1GMD6LSabM3V.0buVu93t_9jd4nH2qBclEa8Hjb1mXJ2S4IU2Md3r7qCW8JBy5PO
 D9LWP561u3xs6t08Ot4Ez9zppDO7VxMMRS3NzX8SNKFM2z6wF9_M2HP051QjEzCsHyUd8yxq98Qs
 sgZYFfrG4.iShjYsdESeIl8CbjZjz5Cy5zS4Z9E7sueISetqvAxMR1pijOnSqDlJ8eukvACuWMl2
 MZ9fRx_gqWwEKoEeucEl6sfeZ_tHr.NfAlZb.PCGR4lC57OYjTS.uhpsr838sIvvAqHaEM_fCooT
 R6AuINrdOMaP5h0mZ4FcEqJnIJOaGrOxHxCka8Fws5f6Ej9n1vyqyROUOpIJjxJUTuIJkBNBlHsr
 LCvw_B4SgHkgxPUX004ngDxbv_Se05A8UoaL.e1fbxmOkPSCfG6fIDeQ0SqjSTwG3Imj3ftgyKPh
 TMH0oPKLyTHMQTrLBKIzP6oeYzmLdqNsRm5xv0ZpPg2ld2YdcGoeuMRMoYTw_LJBc4Rz.gt.Dhy5
 4o9XMuMNuaFH4_Ix3Tt_efGcYqlQIuFwzk0Iu1neLclSIhRQmaoMlpT6RdwqyrZ5sfM0bmvXLHmt
 ZbmI5quTeAOtYvRHTKKhAWIgeKPLPZDEdieyk5FnbAN0SW5ankXRRERGhvk02AoEZfXrzqmsL9Xs
 Ws2juVi2LS1mSmisz2jNUAgVueIdEb1RI4qWsFWmiJXSExjQf26Au.KWfmkmLMJJfsP6F6AztjcF
 Qu9BxuYJiuBpKyLD_hmMlF2epxxgPU9GS3GnRPuA6eNHVGTwMFRRc7qY1B7DzOzkhb8wujfia0GQ
 1c5lRieDbJsboRJPfx6JgI4okpqS9FRlypTb7HQdaZRNguGcDfZU7fT2B1t1a0E6GYFoWfNyTr3t
 N2Htd5I1qA0HiUZxzk0_GrQSnHEza0FP7c835RtnrcdYgWgizBM32UR9_SJs91pUmoxhkSAblIPt
 OxWPrk5XKqGb0mbf5NmFUWklqhDA5f2GhODjEFoUf53MknNFPAUSnj61Is84ZVfLuYzdPHRgqg4k
 LeLfT4WcljYXtit2oQe8wz480dzZLYKO691QAJnkJAHDr.09UWtoN1BeDDFWlkYonpnIUxCQHYdM
 u0el38guk9um0P7JpnfiEtDQdFgpiF0Ug3KYQvyyWq5kGtRljAO_RBosIl1hSfBG2hbddtmfUCra
 td0b6lzfARBTiR6OYtpeEfOjBc3QvIFg40gsiyyT1l30.whYg7SuxpBTVYyKcBDv1XivRNBbUaHS
 OlFd5J.S7R.T455oNR9gVfij5TSzNsNjV5AJYj8FSzOXa7UBURnlCAB73TYfn
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Mon, 23 May 2022 05:31:54 +0000
Received: by hermes--canary-production-sg3-7959d4d9bd-vdvd8 (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 1b1ae537a1dd8dfb5c674c92e51bcc7a; 
 Mon, 23 May 2022 05:31:49 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Florian Rommel <mail@HIDDEN>
Subject: Re: bug#55588: pgtk: child-frame-border-width cannot be set to nil
References: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
 <87r14kq3ts.fsf@HIDDEN>
Date: Mon, 23 May 2022 13:31:44 +0800
In-Reply-To: <87r14kq3ts.fsf@HIDDEN> (Po Lu's message of "Mon, 23 May 2022
 12:18:39 +0800")
Message-ID: <87leusq0fz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 340
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55588
Cc: 55588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> I remember there was a reason internal (and child frame) borders don't
> work quite right in child frames on PGTK.  That might've been fixed in
> December, but I cannot remember.

It was fixed in December.  I installed a similar change along with some
other fixes to child frames on PGTK, please test.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.

Message received at 55588 <at> debbugs.gnu.org:


Received: (at 55588) by debbugs.gnu.org; 23 May 2022 04:18:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 00:18:54 2022
Received: from localhost ([127.0.0.1]:46861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nszWw-0002iG-I0
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 00:18:54 -0400
Received: from sonic314-22.consmr.mail.ne1.yahoo.com ([66.163.189.148]:35676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nszWu-0002hz-8E
 for 55588 <at> debbugs.gnu.org; Mon, 23 May 2022 00:18:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653279526; bh=jyKMNTBXhX/hwdirUkaCEw+xqeZ5SzcT/lW6hWfUFPk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=BC6riyicQvuaBKt78XC2En1lmDSdlcZw5N7t0W5Qzb4/Y0APem1+twTxqSNpDRtjJfST3CCnVCzlopZAJ0oH3TToeuardHhG1D2Ye7zLQ9fFsFbOgns+ps6YpinwzxfTaNDzt1o6hFaMnWYUQc0lMltDZPhmfWoC+YRHf8WM6YD20Vo3UoJed+PBmAMWY4IFO+oEzwRCIkOVpVjsCRhjVAc4YRQWNPsgcFzlp6iJ2EvQCyWklxdAZQzRIwWyro/XE4Dt1E86xEXO/ttGJmjN88gmJJ0+fmz9LfFISVvpMI2qZXCl5pgXJ5qfxpm9m7uEAOjy52dqa071zGkzzeWXow==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1653279526; bh=EP0BlVIgQHr9/VX4137hIhTUygAOAMA3lJz3ACzBTMJ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=U7/86w5bM2ikC8VMMFacL811pj5UCsZwMAnK658GuUpSQLy1fZ8TSwOVkNOpPEYV9HoRqgeOoh/8MUKoQX7Rg993geQzrVsF7Bl9ROWo1fFpOgRtvHdzEm6/uypd94HYR36yY71ewcvcty+CM4h+aLSzvCssE6XXTsXTREOY2AWDUdR6BA9pd/KMZYTGoIIuSeMLuzo0gfcO7OdZz7GF0djKuMUNy6kd+VswebEfsVNlfslX3Ayu05o+usME7o4kS/t3jula6/GzYRrU/o4rh+3ap78FYxRDQ+aCq4y40aI+WFWQWodYTpDqsM5VWDZLR2wAv0kng8j5Sq5NmrFe/w==
X-YMail-OSG: HzoKbYAVM1lgRUfnAW6t11TNuyiHyYPYxoi_d2aJVXitdWDSJkaOnIvYtrZtPaU
 vt_51.MY6OLx4298Suy8kMpIZxM70IdJACyubZW9wnB_tCW3N6dhtpwtprWwYsmhsjYkTpDLyO_y
 NQlFi7oY3OvY6LmAsAYxmu6FHCPbVXWHEK9gpsWGuV5i7Z7e34sxKKK.rbK3xUwYLiT0I2x90_Lr
 zS5T3bygl0fZXY6vvUc5ykHI4HzqMvdlxrBiKozp9.cOJVLIkCRDbYXM7BiqdZAT_2wWeBcEKwjO
 On2fEPLLguOJ.YV_tyQMj94h.MAS2a7T58iG5u3slVfb4h11.LN9dfnGgaiPrG.qScKgValgIlQB
 iKHv0omz5gf51SYOPf28pi8j2WLTefI2TzYQHVdtntSXcCfNqoVvO5of_wz8vtAakP.MubxHHndq
 oO3M790K0ayj9Yj5E.dhMC8HAvYzHvr2RtwGUFc7Kysqrd5lzbdX3jQ6189hdn958alEJbC.ZSqS
 VAWuAAMt8fzwdhoAWjxGQ9bFmCe5Yibmuckck.py2eQqhEAGlFVzQ_iaGvoisMFGBYGNSpZMebzH
 Y9OV1vSPmCFMPnznhRQj03khsFBBqXWXrp.DiVJLViG5j5V8H4YGT0KAHLvRpcsHUzOFxCWiiHhi
 TI96ugDWOGKcoaQjMyxerfPF1XAS3lFj2HczBPAb3B9T7teg7iNXQBwQqZ4Bos0_0YA3MltDeWWC
 Aq27fCMwhr.zal4hnI3xQC9o1welKoiNDd.PTW5m04okcF3_YUtwlKrIlb562Ftkw7BObjYncvat
 J.IFjdhmYC1nK1Scl64QlZAgOCmvzoWiP97ifHxgBDg_qrWgwFAmjVIKPOyEYfjc.XoTAVI0gj01
 p5BOv9udqaIwxMp5UHmSXwbc6YrlGxmWJ3BdaHkqVfyskU3jLIzocfwxFkdGknPy6dvpNtJV88AP
 KF1Szlf84ot8WMD5sfqtZGMDSE0P4jrVChO2HMibddx_rfI3wvaefh4khmymtQpi6U_onWydg3LY
 45DWoDjbClrZXSypX4W1BFzs5LrLBPB1dnHLMRLO7.MVKyc2VZbNbmepggFxCK7vQMun9Rs7R1S.
 QjybaAInTV7BT6OHEYZKfjwgUKXaFqzt4J.NtlsUhxeoVlu.9eVRloZO68Ln0U7w_cW7DGW_LNDO
 Fej0oqlTydGgRIKQCZeg7wjB1iP3jx1G9L9FRflWsq6A.LsPlE7A5IxWZeQTmOdSVt9QYTA6s8m9
 OexwfxeZkWYz4JFtkuUCk40rT15tw9ngMRhyFAB_0wJ2O1ISLYWU2kSjF1F.PThEfA9REqnXT3Uk
 5z6xKaanacX7D60Ni.wwrEGSI6MR5ZUeOCQfFtn0a3pKXlp3Xke2DDwegQSfsVKjXiqan8RY92yx
 SyLOZIW9lgdWocQM8v6w8qLqsUbOAJWhxZl9nK1vygPDUwYE9oIgRc290gWFJph8gNK5CQcdx47x
 X8tqajv3npfqbwop2P0JzBJBO8C4g7OTUwVWQErIVsvpvq5MjYNHply1xIrbAzhN_yEsW9i1GJTG
 jiwDvwQxlNuwaJq_u5uAZoaRPtAwxAzvet4mC9V4oIJBBSOBt8Hzi9wvh29eBa6Q0ECIepnO1phd
 tImif8.I5YeLi62suvA.vvMxIScl8xEIv6h4Y.pJzzB27sqzaMbFCcNEI5bssO0XRDPrV.wierTH
 a6PGUhKTMmJdMLPHMCurRi58weM0.pKLJTVeWSUmpBPawReQFIloiRzydlC.iTvIAK4sy52bPiU7
 E9hmmcpLz67IxudN7.82FS4kqmYCVK2kqSqWzZ1SE5pOC3IRWDB0cuaKiZwPM3itSEb58711FYq8
 EhOxzbqbfaCcRtsWjnDtWXnADPXw3PWSNr.oHZEo2cJ89eUvLOzZwMlnSWtIKjis85zhNshNxzC.
 bZfJy2qNc_VKMr4B.Vqgx6M9n3YrUi4xYucux71OIN8lyK_xmEbFoTAWvipgHxcWS8AXRvabh7Ee
 H2NCBLltqknZRDrwuO7A84fAs3gGQWP565wZnybIxOD1E6mlCSBTFJ2To.BD9wTvVdTRfYvS24Iz
 fCDXqpOppEfeujfIvNB3GAoU7XqgOT4CGfoZnFW42jrh25qs_hhXB3mMVerP6QXPcRiQ1.hZ6s7p
 q34Spqbs9fOiWIaPPmQX9Ty.12BHkk5nsLU7S48.tbU5Jd0pGrkKU8Aog5sm8BO0XMniRG7duk8S
 u3GYgw18Ef4zXhgbaYdW9BLd8EE8QC2GhhIs_ejp4qmW4FpTt5LoH81tKnp8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Mon, 23 May 2022 04:18:46 +0000
Received: by hermes--canary-production-sg3-7959d4d9bd-lwwxg (Yahoo Inc. Hermes
 SMTP Server) with ESMTPA ID 71833acde37b6afae0f391504e77120e; 
 Mon, 23 May 2022 04:18:43 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Florian Rommel <mail@HIDDEN>
Subject: Re: bug#55588: pgtk: child-frame-border-width cannot be set to nil
References: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
Date: Mon, 23 May 2022 12:18:39 +0800
In-Reply-To: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
 (Florian Rommel's message of "Mon, 23 May 2022 00:03:23 +0200")
Message-ID: <87r14kq3ts.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20225
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 931
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55588
Cc: 55588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Florian Rommel <mail@HIDDEN> writes:

> In pgtk, child-frame-border-width is set to 0 by default, and it cannot
> be set to nil.
> According to the manual it should be possible for child-frame-border-
> width to be nil. In such cases, the value of internal-border-width is
> used as the border width (see 30.4.3.4 "Layout Parameters"; and
> function FRAME_INTERNAL_BORDER_WIDTH in frame.h).
>
> The problem causes missing child-frame borders for code that depends on
> this behavior (e.g., lsp-doc-ui in the lsp-ui package), and it will
> cause errors for code that tries to set child-frame-border-width to
> nil.
>
> The attached patch fixes this. It essentially replicates the respective
> behavior of xfns.c.

I remember there was a reason internal (and child frame) borders don't
work quite right in child frames on PGTK.  That might've been fixed in
December, but I cannot remember.

Please let me look into this first.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 May 2022 01:48:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 21:48:56 2022
Received: from localhost ([127.0.0.1]:46744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsxBk-0004zx-5Q
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 21:48:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:37500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nstfn-0007tP-Kz
 for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:03:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46974)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1nstfn-00026s-Ej
 for bug-gnu-emacs@HIDDEN; Sun, 22 May 2022 18:03:39 -0400
Received: from read.uberspace.de ([185.26.156.133]:45998)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1nstfl-0002Kl-Ij
 for bug-gnu-emacs@HIDDEN; Sun, 22 May 2022 18:03:39 -0400
Received: (qmail 23071 invoked by uid 990); 22 May 2022 22:03:28 -0000
Authentication-Results: read.uberspace.de;
	auth=pass (plain)
Message-ID: <65b11da33708e6da3989750bfdb59804b8e9be3d.camel@HIDDEN>
Subject: pgtk: child-frame-border-width cannot be set to nil
From: Florian Rommel <mail@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Mon, 23 May 2022 00:03:23 +0200
Content-Type: multipart/mixed; boundary="=-o2xfuUK3aVAs1dv5YAhf"
User-Agent: Evolution 3.44.1 
MIME-Version: 1.0
X-Rspamd-Bar: -
X-Rspamd-Report: BAYES_HAM(-2.996284) MIME_GOOD(-0.1)
 MIME_BASE64_TEXT_BOGUS(1) MIME_BASE64_TEXT(0.1)
X-Rspamd-Score: -1.996284
Received: from unknown (HELO unkown) (::1)
 by read.uberspace.de (Haraka/2.8.28) with ESMTPSA;
 Mon, 23 May 2022 00:03:28 +0200
Received-SPF: pass client-ip=185.26.156.133; envelope-from=mail@HIDDEN;
 helo=read.uberspace.de
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, MSGID_FROM_MTA_HEADER=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 May 2022 21:48:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-o2xfuUK3aVAs1dv5YAhf
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

In pgtk, child-frame-border-width is set to 0 by default, and it cannot
be set to nil.
According to the manual it should be possible for child-frame-border-
width to be nil. In such cases, the value of internal-border-width is
used as the border width (see 30.4.3.4 "Layout Parameters"; and
function FRAME_INTERNAL_BORDER_WIDTH in frame.h).

The problem causes missing child-frame borders for code that depends on
this behavior (e.g., lsp-doc-ui in the lsp-ui package), and it will
cause errors for code that tries to set child-frame-border-width to
nil.

The attached patch fixes this. It essentially replicates the respective
behavior of xfns.c.


--=-o2xfuUK3aVAs1dv5YAhf
Content-Disposition: attachment;
	filename="0001-pgtk-Allow-child-frame-border-width-to-be-nil.patch"
Content-Type: text/x-patch;
	name="0001-pgtk-Allow-child-frame-border-width-to-be-nil.patch";
	charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSAwNTQ3OTg0MGMxMjE3NGJhYThiMWRlNjFjODAxNTZlZTdkNTZkZDM4IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBGbG9yaWFuIFJvbW1lbCA8bWFpbEBmbG9yb21tZWwuZGU+CkRh
dGU6IFN1biwgMjIgTWF5IDIwMjIgMjM6MzA6NTIgKzAyMDAKU3ViamVjdDogW1BBVENIXSBwZ3Rr
OiBBbGxvdyBjaGlsZC1mcmFtZS1ib3JkZXItd2lkdGggdG8gYmUgbmlsCgoqIHNyYy9wZ3RrZm5z
LmMgKHBndGtfc2V0X2NoaWxkX2ZyYW1lX2JvcmRlcl93aWR0aCwgeC1jcmVhdGUtZnJhbWUpOgpB
bGxvdyBjaGlsZC1mcmFtZS1ib3JkZXItd2lkdGggdG8gYmUgc2V0IHRvIG5pbCwgYW5kIHNldCBp
dHMgZGVmYXVsdAp2YWx1ZSB0byBuaWwuCgpDb3B5cmlnaHQtcGFwZXJ3b3JrLWV4ZW1wdDogeWVz
Ci0tLQogc3JjL3BndGtmbnMuYyB8IDEyICsrKysrKysrKy0tLQogMSBmaWxlIGNoYW5nZWQsIDkg
aW5zZXJ0aW9ucygrKSwgMyBkZWxldGlvbnMoLSkKCmRpZmYgLS1naXQgYS9zcmMvcGd0a2Zucy5j
IGIvc3JjL3BndGtmbnMuYwppbmRleCAxZmViM2ZlMjUwLi4wNzY0ZTRhMmQ1IDEwMDY0NAotLS0g
YS9zcmMvcGd0a2Zucy5jCisrKyBiL3NyYy9wZ3RrZm5zLmMKQEAgLTU2Niw3ICs1NjYsMTQgQEAg
cGd0a19zZXRfdG9vbF9iYXJfbGluZXMgKHN0cnVjdCBmcmFtZSAqZiwgTGlzcF9PYmplY3QgdmFs
dWUsIExpc3BfT2JqZWN0IG9sZHZhbCkKIHN0YXRpYyB2b2lkCiBwZ3RrX3NldF9jaGlsZF9mcmFt
ZV9ib3JkZXJfd2lkdGggKHN0cnVjdCBmcmFtZSAqZiwgTGlzcF9PYmplY3QgYXJnLCBMaXNwX09i
amVjdCBvbGR2YWwpCiB7Ci0gIGludCBib3JkZXIgPSBjaGVja19pbnRfbm9ubmVnYXRpdmUgKGFy
Zyk7CisgIGludCBib3JkZXI7CisKKyAgaWYgKE5JTFAgKGFyZykpCisgICAgYm9yZGVyID0gLTE7
CisgIGVsc2UgaWYgKFJBTkdFRF9GSVhOVU1QICgwLCBhcmcsIElOVF9NQVgpKQorICAgIGJvcmRl
ciA9IFhGSVhOQVQgKGFyZyk7CisgIGVsc2UKKyAgICBzaWduYWxfZXJyb3IgKCJJbnZhbGlkIGNo
aWxkIGZyYW1lIGJvcmRlciB3aWR0aCIsIGFyZyk7CiAKICAgaWYgKGJvcmRlciAhPSBGUkFNRV9D
SElMRF9GUkFNRV9CT1JERVJfV0lEVEggKGYpKQogICAgIHsKQEAgLTE0MjksOCArMTQzNiw3IEBA
IFRoaXMgZnVuY3Rpb24gaXMgYW4gaW50ZXJuYWwgcHJpbWl0aXZlLS11c2UgYG1ha2UtZnJhbWUn
IGluc3RlYWQuICAqLyApCiAKICAgICB9CiAKLSAgZ3VpX2RlZmF1bHRfcGFyYW1ldGVyIChmLCBw
YXJtcywgUWNoaWxkX2ZyYW1lX2JvcmRlcl93aWR0aCwKLQkJCSBtYWtlX2ZpeG51bSAoMCksCisg
IGd1aV9kZWZhdWx0X3BhcmFtZXRlciAoZiwgcGFybXMsIFFjaGlsZF9mcmFtZV9ib3JkZXJfd2lk
dGgsIFFuaWwsCiAJCQkgImNoaWxkRnJhbWVCb3JkZXJXaWR0aCIsICJjaGlsZEZyYW1lQm9yZGVy
V2lkdGgiLAogCQkJIFJFU19UWVBFX05VTUJFUik7CiAgIGd1aV9kZWZhdWx0X3BhcmFtZXRlciAo
ZiwgcGFybXMsIFFyaWdodF9kaXZpZGVyX3dpZHRoLCBtYWtlX2ZpeG51bSAoMCksCi0tIAoyLjM2
LjEKCg==


--=-o2xfuUK3aVAs1dv5YAhf--




Acknowledgement sent to Florian Rommel <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55588; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Jun 2022 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.